Subject: [bug#63893] gnu: nix: Update to 2.16.1

From: Sergei Trofimovich <[email-masked]>
Date: Mon, 26 Jun 2023 23:16:08 +0100

On Mon, 26 Jun 2023 21:41:21 +0000
"jgart" <[email-masked]> wrote:

> Hi Trofi,
> 
> I saw that you've done a fare amount of work on guix/nix packaging in nix-guix-gentoo and could use your expertise in this area for reviewing this patch set:
> 
> https://github.com/trofi/nix-guix-gentoo
> 
> If you find the time, would you be able to help review this patch series? It would be much appreciated.
> 
> Feel free to send a v4 patch and add yourself as co-author if you'd like to help directly.
> 
> Also, feel free to ignore if you don't have the time to review this one or help out on it.
> 
> I could particular use some guidance on enabling the tests for rapidcheck. My cmake knowledge is very fresh.
> 
> all best,
> 
> jgart
> 
> https://whereis.みんな/

Hi Jorge!

I guess you mean this series:

    https://issues.guix.gnu.org/63893
    https://mail.gnu.org/archive/html/guix-patches/2023-06/msg00525.html

Those look good to me. I did not runtime-test it though.

Note: I don't have push access to `guix` repository and I don't use
`guix` on a daily basis. I mainly maintain `guix` install on top of
gentoo as defined in

   https://github.com/trofi/nix-guix-gentoo

I suggest runtime-testing it as well locally: try to install `nix` and
run a few commands like `nix-channel --update` / `nix-shell -p re2c`
just to make sure daemon is configured correctly.

Hope that helps.

Good luck!

-- 

  Sergei